JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::ProcessInquiryResponse Struct Reference
juce_midi_ci » ci

See the MIDI-CI specification. More...

`#include <juce_CIMessages.h>`

## Public Member Functions
auto | tie () const
bool | operator== (const ProcessInquiryResponse &x) const
bool | operator!= (const ProcessInquiryResponse &x) const

## Public Attributes
std::byte | supportedFeatures {}

## Detailed Description

See the MIDI-CI specification.

## Member Function Documentation

## ◆ tie()

auto juce::midi_ci::Message::ProcessInquiryResponse::tie | ( |  | ) | const

References supportedFeatures.

Referenced by operator==().

## ◆ operator==()

bool juce::midi_ci::Message::ProcessInquiryResponse::operator== | ( | const ProcessInquiryResponse & | x | ) | const

References tie(), and x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Message::ProcessInquiryResponse::operator!= | ( | const ProcessInquiryResponse & | x | ) | const

References operator==(), and x.

## Member Data Documentation

## ◆ supportedFeatures

std::byte juce::midi_ci::Message::ProcessInquiryResponse::supportedFeatures {}

Referenced by tie().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h